Configurazione ODBC per Microsoft Access (finestra di dialogo)

La finestra di dialogo Configurazione ODBC per Microsoft Access contiene, tra gli altri, i controlli seguenti:

Informazioni origine dati

Consente di identificare il database Access. Per impostazione predefinita viene utilizzato il nome assegnato dal produttore. Il campo Descrizione, che è vuoto per impostazione predefinita, può contenere i qualificatori descrittivi specificati dall'utente.

Database

Fare clic su Ripristina (Recupera database (finestra di dialogo)) per ripristinare un database Access danneggiato e su Compatta (Database da cui compattare (finestra di dialogo)) per ridurre lo spazio inutilizzato. Fare clic su Seleziona oppure Crea per aprire un database esistente o nuovo.

Database di sistema

Fare clic per selezionare un database condiviso. Il nome utente predefinito è Admin e la password predefinita di Microsoft Access per l'utente Admin è una stringa vuota.

Opzioni

Fare clic per modificare le opzioni seguenti del driver:

  • Timeout pagina: periodo di tempo, espresso in decimi di secondo, durante il quale una pagina inutilizzata rimane nel buffer. Deve essere sempre maggiore di 0.

  • Dimensioni buffer: dimensione del buffer interno, espressa in kilobyte, utilizzata da Microsoft Access per trasferire dati da e verso il disco. È possibile utilizzare qualsiasi valore integer divisibile per 256.

  • Vincoli di accesso al database.

Avanzate

Fare clic per configurare opzioni aggiuntive per le prestazioni del driver.
Nota:
Per informazioni dettagliate e a livello di codice su questo driver, visitare MSDN Library. Altre informazioni sono disponibili negli argomenti Conversione origine dati, File Access, Voci del registro IISAM e File del componente ODBC comuni. È disponibile Servizio Supporto Tecnico Clienti Microsoft.


Recupera database (finestra di dialogo)

Recupera database (finestra di dialogo) |
 | Vedere anche

La finestra di dialogo Recupera database è destinata al recupero del database specificato. Utilizzare questa finestra di dialogo per specificare il tipo di accesso in lettura o scrittura condivise (impostazione predefinita) durante il processo di recupero: Sola lettura (impedisce qualsiasi aggiornamento) oppure Esclusivo.

Se durante il processo di commit si verifica un errore client, il database interessato potrebbe essere danneggiato e richiedere operazioni di correzione. È possibile utilizzare la finestra di dialogo Configurazione ODBC per Microsoft Access per eseguire tali operazioni. Fare clic su Ripristina, quindi selezionare il file e il percorso nella finestra di dialogo Recupera database. Fare clic su OK.

Vedere anche

Riferimento

Configurazione ODBC per Microsoft Access (finestra di dialogo)

© 2009 Microsoft Corporation. Tutti i diritti riservati.


Database da cui compattare (finestra di dialogo)

Database da cui compattare (finestra di dialogo) |
 | Vedere anche

La compattazione di un database salva i dati esistenti ma elimina lo spazio inutilizzato nel database. La finestra di dialogo Database da cui compattare è destinata alla compattazione del database specificato e consente di specificare il tipo di accesso durante il processo di compattazione: Lettura/Scrittura condivise (impostazione predefinita), Sola lettura (impedisce qualsiasi aggiornamento) oppure Esclusivo.

È possibile utilizzare la finestra di dialogo Configurazione ODBC per Microsoft Access per eseguire la compattazione dei dati. Fare clic su Compatta, quindi selezionare il file e il percorso nella finestra di dialogo Database da cui compattare. Fare clic su OK. Nella finestra di dialogo Database in cui compattare selezionare il file e il percorso, la versione del file compattato risultante e le impostazioni internazionali, quindi scegliere OK. Il file nel quale verrà eseguita la compattazione può avere lo stesso nome del file compattato. Se, tuttavia, il nome del file nel quale viene eseguita la compattazione corrisponde al nome di un altro file esistente viene restituito un errore. La compattazione di file protetti da password potrebbe restituire risultati imprevisti.

Vedere anche

Riferimento

Configurazione ODBC per Microsoft Access (finestra di dialogo)

© 2009 Microsoft Corporation. Tutti i diritti riservati.


Conversione origine dati

Le origini dati a 32 bit utilizzate con ODBC Desktop Database Drivers versione 2.0 vengono convertite automaticamente in origini dati a 32 bit per i driver della versione 4.0. Non è fornita alcuna conversione per le origini dati a 16 bit. Per convertire un'origine dati da 16 a 32 bit, creare una nuova origine dati a 32 bit e quindi, facoltativamente, eliminare l'origine dati a 16 bit obsoleta. Un'origine dati a 32 bit e un'origine dati a 16 bit non possono condividere lo stesso nome.


File Access

In ODBC Desktop Database Drivers versione 4.0 sono inclusi i file ISAM per il driver Microsoft Access riportati di seguito:

ISAM a 32 bit | Versione Microsoft Access
Nessuno (incluso in Msjet40.dll) | 7.0 e 97
Msrd2x40.dll | 2.0
Msrd3x40.dll | 3.0


Voci del registro IISAM

Le impostazioni del registro IISAM vengono scritte quando viene chiamata DLLRegisterServer su ogni rispettiva DLL IISAM. Le impostazioni del registro IISAM vengono rimosse quando viene chiamata DLLUnregisterServer. La funzione DLLRegisterServer viene chiamata dinamicamente dalla funzione Jet ODBC per ogni DLL IISAM. Se, ad esempio, si cerca di effettuare una connessione utilizzando un componente IISAM e la connessione inizialmente non riesce, il driver tenterà di inizializzare il componente IISAM chiamando DLLRegisterServer e riproverà ad effettuare la connessione.


File del componente ODBC comuni

Nella tabella seguente vengono elencati i file richiesti da ogni componente di ODBC Desktop Database Drivers 4.0. I file vengono installati nella directory \Windows\System o \Windows\System32. Se i file ODBC sono stati precedentemente installati in una directory diversa, verificare che la directory \Windows\System (o System32) contenga i file più recenti.

Alcuni file sono richiesti da più componenti. È necessario ridistribuire questi file se si intende ridistribuire ODBC Desktop Database Drivers con le applicazioni commerciali.

I file seguenti sono comuni a ogni componente incluso in ODBC Desktop Database Drivers:

  • Ds16gt.dll

  • Ds32gt.dll

  • Expsrv.dll

  • Msjint40.dll

  • Msjet40.dll

  • Msjter40.dll

  • Msjtes40.dll

  • Msvcrt40.dll

  • Odbc16gt.dll

  • Odbc32.dll

  • Odbc32gt.dll

  • Odbccp32.cpl

  • Odbccp32.dll

  • Odbccr32.dll

  • Odbcinst.chm

  • Odbcint.dll

  • Odbcjet.chm

  • Odbcji32.dll

  • Odbcjt32.dll

  • Odbctl32.dll

  • Odbctrac.dll

  • Vbajet32.dll


Servizio Supporto Tecnico Clienti Microsoft [ODBC Jet]

Poiché molti prodotti Microsoft utilizzano ODBC come componente principale e ridistribuiscono i driver ODBC, il Servizio Supporto Tecnico Clienti Microsoft considera ODBC parte di ogni prodotto che incorpora ODBC come componente. Il supporto per ODBC viene fornito in conformità al contratto di supporto relativo al prodotto in questione. Per ulteriori informazioni, vedere la documentazione del singolo prodotto.


Accesso al database di sistema per Access

La finestra di dialogo Accesso consente di digitare il nome e la password di accesso autorizzati per Access in caso di connessione a un database Access definito in precedenza come database di sistema. I nomi e le password di accesso sono assegnati dall'amministratore del database e devono essere immessi esattamente come assegnato.

In Origine dati viene specificata l'origine dati alla quale si sta effettuando la connessione.

Nota:
Se l'origine dati non è stata selezionata, è possibile assegnarne una facendo clic su Database.

Fare clic su OK per chiudere la finestra di dialogo e iniziare il processo di accesso.

Fare clic su Annulla per chiudere la finestra di dialogo e annullare il processo di accesso.


Nuovo database (finestra di dialogo)

Immettere il percorso completo del nuovo database di Microsoft Access che si desidera creare.

Se si utilizza il driver Microsoft Access, fare clic su Crea per creare un nuovo database.

Nota:
Un database creato in questo modo funzionerà solo con Microsoft Access 7.0 e versioni successive.

Se durante l'installazione non viene specificato alcun database, verrà richiesto di selezionare un file di database al momento della connessione all'origine dati.

La finestra di dialogo Nuovo database contiene, tra gli altri, i controlli seguenti:

Nome e percorso database

Consente di specificare il nome e il percorso del nuovo database.

Impostazioni internazionali

Consente di specificare le impostazioni internazionali (LCID) o la lingua per il database.

Formato

Consente di specificare il formato del modulo di gestione di database Microsoft Jet. Le opzioni disponibili sono Versione 4.x (più recente, formato Unicode), Versione 3.x (formato ANSI) o Versione 2.x (formato ANSI).

Opzioni

Facendo clic su Database di sistema verrà creato un database condivisibile. Tale database sarà registrato nella scheda DSN di sistema in Amministrazione origine dati ODBC.

Facendo clic su Crittografia verrà impostata questa opzione Access. Con la versione 4.0 del modulo di gestione di database Microsoft Jet è possibile utilizzare la crittografia durante la creazione di database. Per ulteriori informazioni, vedere Jet Database Engine Programmer's Reference. L'opzione Crittografia è disponibile solo quando viene selezionato il formato Versione 4.x.


File dBASE

In ODBC Desktop Database Drivers versione 4.0 sono inclusi i file ISAM per il driver Microsoft dBASE riportati di seguito:

ISAM a 32 bit | Versioni dBASE
Msxbse40.dllOddbse32.dll | dBASE IIIdBASE IVdBASE 5.0


Configurazione ODBC per dBASE (finestra di dialogo)

La finestra di dialogo Configurazione ODBC per dBASE contiene, tra gli altri, i controlli seguenti:

Informazioni origine dati

Consente di identificare il database dBASE. Per impostazione predefinita viene utilizzato il nome assegnato dal produttore. Il campo Descrizione, che è vuoto per impostazione predefinita, può contenere i qualificatori descrittivi specificati dall'utente.

Database

Selezionare la versione e il relativo percorso del database dBase installato. Se si seleziona la casella di controllo Utilizza directory corrente, le opzioni Selezione directory e Selezione indici vengono disattivate.

Opzioni

Fare clic per modificare le opzioni seguenti del driver:

  • Sequenza ordinamento: per eseguire l'ordinamento.

  • Timeout pagina: periodo di tempo, espresso in decimi di secondo, durante il quale una pagina inutilizzata rimane nel buffer. Deve essere sempre maggiore di 0.

  • Esclusivo: limita a un solo utente l'accesso al database.

  • Mostra righe eliminate: specifica se è possibile recuperare o posizionare il cursore sulle righe contrassegnate come eliminate.

  • Conteggio approssimativo righe: specifica se le statistiche sulle dimensioni della tabella vengono calcolate approssimativamente.

Nota:
Per informazioni dettagliate e a livello di codice su questo driver, visitare MSDN Library. Altre informazioni sono disponibili negli argomenti Conversione origine dati, File dBASE, Voci del registro IISAM e File del componente ODBC comuni del file della Guida. dBase è un prodotto di INPRISE Corporation ed è corredato di un proprio file di guida.


Definisci formato testo (finestra di dialogo)

Definisci formato testo (finestra di dialogo) |
 | Vedere anche

Utilizzare la finestra di dialogo Definisci formato testo per definire il formato delle colonne in un file selezionato e specificare lo schema per ciascuna tabella di dati. La finestra di dialogo Definisci formato testo contiene, tra gli altri, i controlli seguenti:

Aggiungi

Consente di aggiungere una colonna utilizzando i valori contenuti nei campi Tipo dati, Nome e Larghezza.

Caratteri

ANSI oppure OEM. OEM specifica un set di caratteri non ANSI ed è l'impostazione predefinita se il formato dell'elemento selezionato nell'elenco Tabelle non è stato definito.

Intestazione nome colonna

Consente di specificare se utilizzare le colonne della prima riga della tabella selezionata come nomi di colonna. Il valore predefinito è FALSE (deselezionato) se il formato dell'elemento selezionato nell'elenco Tabelle non è stato definito.

Colonne

Consente di visualizzare il nome di ciascuna colonna inclusa nella tabella selezionata nell'elenco Tabelle e riflette l'ordine delle colonne nella tabella.

Tipo dati

I possibili valori sono BIT, BYTE, CHAR, CURRENCY, DATE, FLOAT, INTEGER, LONGCHAR, SHORT o SINGLE. Per dati di tipo data, utilizzare "gg-mmm-aa", "mm-gg-aa", "mmm-gg-aa", "aaaa-mm-gg" o "aaaa-mmm-gg" ("mm" indica i numeri per i mesi; "mmm" indica le lettere per i mesi).

Delimitatore

Carattere del delimitatore personalizzato da utilizzare per separare le colonne. Il carattere deve essere unico e non è possibile utilizzare le virgolette doppie ("). Questa opzione è attivata quando nella casella Formato viene selezionato Personalizzato.

Formato

Delimitato o a lunghezza fissa. Se delimitato, indica il tipo di delimitatore utilizzato: virgola (CSV), tabulazione o carattere speciale (personalizzato). Il valore predefinito è Virgola se il formato dell'elemento selezionato nell'elenco Tabelle non è stato definito.

Se Formato è a lunghezza fissa e Intestazione nome colonna è selezionato, la prima riga deve essere in formato delimitato da virgola.

Proposta

Fare clic per generare i valori relativi a tipo di dati, nome e larghezza delle colonne nella tabella selezionata analizzando il contenuto della tabella in base alla selezione della casella di riepilogo Formato. Il controllo viene attivato quando il formato della tabella è delimitato. Le colonne definite precedentemente nell'elenco Colonne vengono deselezionate e sostituite dalle nuove voci. Se Intestazione nome colonna non è selezionato, i nomi della colonna vengono generati come "F1", "F2" e così via.

Questa funzionalità è disponibile solo in caso di colonne inferiori a 64.513 byte.

Modifica

Fare clic per modificare la colonna selezionata utilizzando i valori contenuti nei campi Tipo dati, Nome e Larghezza.

Nome

Nome della colonna selezionata. È possibile specificare un nuovo nome di colonna per una colonna esistente o una nuova colonna.

Se viene selezionato Intestazione nome colonna, il nome di colonna visualizzato viene ignorato.

Rimuovi

Consente di eliminare la colonna selezionata.

Righe da esaminare

Numero di righe che il programma di installazione o il driver analizzeranno durante l'impostazione delle colonne e dei tipi di dati di colonna. Il valore predefinito è 25 se il formato dell'elemento selezionato nell'elenco Tabelle non è stato definito, ma può essere qualsiasi numero da 1 a 32767.

Tabelle

Consente di visualizzare tutti i file che corrispondono all'elenco delle estensioni specificate nella directory selezionata nella finestra di dialogo Configurazione ODBC per formato testo.

Quando viene selezionato il valore <predefinito>, l'elenco Colonne è disattivato.

Larghezza

È possibile modificare il valore in caso di colonne CHAR o LONGCHAR. Per altri tipi di dati, il controllo Larghezza è disattivato e non viene visualizzato alcun valore. Il valore predefinito è 1 se il formato dell'elemento selezionato nell'elenco Tabelle non è stato definito.

Vedere anche

Riferimento

Configurazione ODBC per formato testo (finestra di dialogo)

© 2009 Microsoft Corporation. Tutti i diritti riservati.


File Excel

In ODBC Desktop Database Drivers versione 4.0 sono inclusi i file ISAM per Excel riportati di seguito:

ISAM a 32 bit | Versioni Microsoft Excel
Msexcl40.dllOdexl32.dll | 3.0, 4.0, 5.0, 7.0, 97

Il driver Microsoft Excel non è in grado di leggere file Excel in un formato precedente alla versione 3.0. Questi file possono, tuttavia, essere aperti in una versione successiva di Microsoft Excel e salvati in un formato di versione 3.0, 4.0, 5.0, 7.0 o 97 leggibile dal driver.


Configurazione ODBC per Microsoft Excel (finestra di dialogo)

La finestra di dialogo Configurazione ODBC per Microsoft Excel contiene, tra gli altri, i controlli seguenti:

Informazioni origine dati

Consente di identificare il file Excel. Il campo Descrizione, che è vuoto per impostazione predefinita, può contenere i qualificatori descrittivi specificati dall'utente.

Database

Utilizzare queste opzioni per modificare il percorso del file predefinito. Per specificare un altro percorso, fare clic su Selezione directory oppure Selezione cartella di lavoro, a seconda della versione di Excel che è stata selezionata nella casella Versione.

Driver

Righe da esaminare consente di specificare il numero di righe che il programma di installazione o il driver analizzeranno durante l'impostazione delle colonne e dei tipi di dati di colonna. È possibile specificare un numero compreso tra 1 e 16.

Selezionare la casella di controllo Sola lettura per impedire che vengano apportati aggiornamenti al file Excel.
Nota:
Per informazioni dettagliate e a livello di codice su questo driver, visitare MSDN Library. Altre informazioni sono disponibili negli argomenti Conversione origine dati, File Excel, Voci del registro IISAM e File del componente ODBC comuni in questo file della Guida. È disponibile Servizio Supporto Tecnico Clienti Microsoft.


Configurazione ODBC per formato testo (finestra di dialogo)

Configurazione ODBC per formato testo (finestra di dialogo) |
 | Vedere anche

La finestra di dialogo Configurazione ODBC per formato testo contiene, tra gli altri, i controlli seguenti:

Informazioni origine dati

Consente di identificare il file. Il campo Descrizione, che è vuoto per impostazione predefinita, può contenere i qualificatori descrittivi specificati dall'utente.

Database

Percorso predefinito del file. Per selezionare un percorso diverso, fare clic su Selezione directory.

File

Consente di visualizzare tutte le estensioni dei file di testo contenuti nell'origine dati. Per utilizzare tutti i file della directory, selezionare la casella di controllo Predefinita (*. *). Per utilizzare solo i file con estensioni specifiche, deselezionare la casella di controllo Predefinita (*. *) e specificare le estensioni desiderate. Quando la casella di controllo Predefinita (*. *) è deselezionata, le estensioni predefinite sono *.asc, *.csv, *.tab e *.txt.

Per aggiungere un'estensione, digitare l'estensione nella casella Estensione e fare clic su Aggiungi. È necessario utilizzare il formato *.xxx per l'estensione. Per utilizzare, ad esempio, file .dat, digitare *.dat. Per rimuovere un'estensione, selezionarla nell'elenco Estensione e fare clic su Rimuovi.

Definisci formato

Utilizzare la finestra di dialogo Definisci formato testo per definire il formato delle colonne in un file selezionato e specificare lo schema per ciascuna tabella di dati.

Nota:
Se viene utilizzato il driver di testo, viene creato un file senza estensione quando l'istruzione CREATE TABLE è eseguita con un nome privo di estensione. Per visualizzare i file privi di estensione nella finestra di dialogo Definisci formato testo, è necessario aggiungere "*." nel campo Elenco estensioni della finestra di dialogo Configurazione ODBC per formato testo.
Nota:
Per informazioni dettagliate e a livello di codice su questo driver, visitare MSDN Library. Altre informazioni sono disponibili negli argomenti Conversione origine dati, Voci del registro IISAM, File di testo ISAM e File del componente ODBC comuni in questo file della Guida.

Vedere anche

Riferimento

Definisci formato testo (finestra di dialogo)

© 2009 Microsoft Corporation. Tutti i diritti riservati.


File di testo ISAM

ODBC Desktop Database Drivers 4.0 include due file ISAM a 32 bit per file di testo: Mstext40.dll e Odtext32.dll.


File Paradox

In ODBC Desktop Database Drivers versione 4.0 sono inclusi i file ISAM per Paradox riportati di seguito:

ISAM a 32 bit | Versioni Paradox
Mspdox40.dllOdpdx32.dll | Paradox 3.x Paradox 4.xParadox 5.x


Configurazione ODBC per Paradox (finestra di dialogo)

La finestra di dialogo Configurazione ODBC per Paradox contiene, tra gli altri, i controlli seguenti:

Informazioni origine dati

Consente di identificare il database Paradox. Per impostazione predefinita viene utilizzato il nome assegnato dal produttore. Il campo Descrizione, che è vuoto per impostazione predefinita, può contenere i qualificatori descrittivi specificati dall'utente.

Database

Utilizzare queste opzioni per individuare il database Paradox o utilizzare la directory corrente. È inoltre possibile selezionare la versione specificata in qualsiasi database installato.

Opzioni

Fare clic per modificare le opzioni del driver che influiscono sull'accesso, i servizi e le prestazioni:

  • Sequenza ordinamento: consente di stabilire la sequenza nella quale vengono ordinati i campi.

  • Esclusivo: consente di limitare l'accesso a un solo utente e migliorare le prestazioni.

  • Timeout pagina: consente di impostare il periodo di tempo, espresso in decimi di secondo, durante il quale una pagina inutilizzata rimane nel buffer.

  • Nome utente: nome utente Paradox visualizzato dagli altri utenti di file Paradox quando viene rilevato un blocco.

  • Tipo di accesso: stile di accesso alla rete da utilizzare in caso di accesso ai dati Paradox.

Nota:
Per informazioni dettagliate e a livello di codice su questo driver, visitare MSDN Library. Altre informazioni sono disponibili negli argomenti Conversione origine dati, File Paradox, Voci del registro IISAM e File del componente ODBC comuni in questo file della Guida. Paradox è un prodotto di INPRISE Corporation ed è corredato di un proprio file di guida.


Selezione database (finestra di dialogo)

Se durante l'installazione non viene specificato alcun database, verrà richiesto di selezionare un file di database al momento della connessione all'origine dati.

Se si utilizza il driver Microsoft Access, fare clic su Seleziona nella finestra di dialogo Configurazione ODBC per Microsoft Access (finestra di dialogo) per aprire un database esistente tramite la finestra di dialogo Selezione database. La finestra contiene, tra gli altri, i controlli seguenti:

Nome database | Nome del file di database esistente, con estensione .mdb.
Sola lettura | Definisce il database come di sola lettura per impedire aggiornamenti dello stesso.
Esclusivo | Se selezionato, consente di aprire il database in modalità esclusiva in modo da limitare l'accesso a un solo utente per volta e migliorare le prestazioni. Se deselezionato, il database viene aperto in modalità condivisa ed è accessibile simultaneamente da più utenti.


Selezione indici (finestra di dialogo)

La finestra di dialogo Selezione indici contiene, tra gli altri, i controlli seguenti:

Tabelle | Consente di visualizzare tutti i file nell'origine dati attualmente selezionata.
Indici | Consente di visualizzare gli indici assegnati al file attualmente selezionato nell'elenco Tabelle.
Tipo file | Consente di specificare i tipi di file da visualizzare nell'elenco Indici.

Il driver ODBC di dBase apre e aggiorna automaticamente i file di indice dBase IV. È necessario utilizzare la finestra di dialogo Selezione indici per associare file .ndx dBase III a file dBASE.

Durante la creazione di indici dBase vengono applicate le limitazioni seguenti:

  • Tutti i nomi di colonna devono essere validi.

  • Tutte le colonne devono essere ordinate in ordine crescente o decrescente.

  • La lunghezza delle colonne di solo testo deve essere minore di 100 byte.

  • In presenza di più colonne, tutte le colonne devono essere colonne di testo e la somma delle dimensioni delle colonne deve essere inferiore a 100 byte.

  • Impossibile indicizzare i campi di tipo memo.

  • Non deve essere già specificato un indice per il set di campi corrente. In altre parole, non sono consentiti indici duplicati.

  • Il nome dell'indice deve seguire la convenzione di denominazione dBase. In dBase III è necessario creare un file distinto per ogni indice con estensione .ndx. In dBase IV gli indici vengono creati come nomi di tag archiviati in un unico file .mdx con lo stesso nome di base del file di database. Emp.mdx, ad esempio, è il file di indice del database Emp.dbf.

Per associare un indice a una tabella:

  1. Selezionare un file dall'elenco Tabelle.

  2. Selezionare un indice dall'elenco Indici.

  3. Fare clic su OK per salvare le associazioni di tabella/indice.

Nota:
Affinché il driver li riconosca, è necessario assegnare gli indici dBase III tramite questa finestra di dialogo.


Selezione database di sistema (finestra di dialogo)

Quando si utilizza il driver Microsoft Access, fare clic su Database e quindi su Database di sistema nella finestra di dialogo Configurazione ODBC per Microsoft Access per selezionare il database di sistema tramite la finestra di dialogo Selezione database di sistema. A seconda dei requisiti di sicurezza del sistema, possono essere richiesti il nome e la password del database di sistema. Il nome predefinito è Admin e la password predefinita di Microsoft Access per l'utente Admin è una stringa vuota.

La finestra di dialogo Selezione database di sistema contiene, tra gli altri, i controlli seguenti:

Nome database | Nome del file di database esistente, con estensione .mdb.
Sola lettura | Definisce il database come di sola lettura per impedire aggiornamenti dello stesso.
Esclusivo | Se selezionato, consente di aprire il database in modalità esclusiva in modo da limitare l'accesso a un solo utente per volta e migliorare le prestazioni. Se deselezionato, il database viene aperto in modalità condivisa ed è accessibile simultaneamente da più utenti.


Selezione cartella di lavoro (finestra di dialogo)

Utilizzare la finestra di dialogo Selezione cartella di lavoro per individuare e selezionare un file di una cartella di lavoro di Microsoft Excel. In Nome database viene visualizzato il file selezionato. Per impedire che vengano apportati aggiornamenti a questo file, selezionare la casella di controllo Sola lettura. Cercare il file della cartella di lavoro desiderato utilizzando i controlli Directory, Tipo file e Unità o fare clic su Rete per cercare una cartella di lavoro nella rete.


Impostazione opzioni avanzate (finestra di dialogo)

Per utilizzare la finestra di dialogo Impostazione opzioni avanzate, è prima necessario immettere il nome di accesso e la password per questo driver.

A seconda dei requisiti di sicurezza del sistema, possono essere richiesti il nome e la password utente se l'origine dati utilizza un database di sistema (gruppo di lavoro). Il nome predefinito è Admin e la password predefinita di Microsoft Access per l'utente Admin è una stringa vuota.

Per accedere a un database Access, il driver utilizzerà le opzioni seguenti, disponibili nella finestra di dialogo Impostazione opzioni avanzate.

DefaultDir

Identifica la directory predefinita a cui il driver deve accedere.

Driver

Consente di immettere un nome personalizzato per il driver Access.

FIL

Tipo di file. "MS Access" per Microsoft Access.

ExtendedAnsiSQL

Attributo della stringa di connessione. Se impostato su "1", attiva le funzionalità Jet 4.0, ad esempio creazione ed eliminazione di viste e procedure, rilevamento del troncamento di dati, nuovi tipi di dati e utilizzo dell'elenco di parole riservate SQL-92. Con il valore predefinito, "0", non viene attivata alcuna funzionalità.

ImplicitCommitSync

Specifica il modo in cui vengono scritte nel database le modifiche esterne a una transazione. Questo valore è impostato inizialmente su "Sì" per indicare che il driver Microsoft Access attenderà il completamento dei commit in una transazione interna o implicita.

MaxBufferSize

Dimensione del buffer interno, espressa in kilobyte, utilizzata da Microsoft Access per trasferire dati da e verso il disco. La dimensione predefinita del buffer è 2048 KB (visualizzata come 2048). È possibile utilizzare qualsiasi valore integer divisibile per 256. Questa impostazione è analoga all'opzione Dimensione buffer nella finestra di dialogo Configurazione.

MaxScanRows

Numero di righe da esaminare quando viene impostato un tipo di dati di colonna basato sui dati esistenti.

Può essere un numero da 1 a 16. Il valore predefinito è 8; se impostato su 0, vengono esaminate tutte le righe. Un numero esterno al limite impostato restituirà un errore.

PageTimeout

Periodo di tempo, espresso in decimi di secondo, durante il quale una pagina inutilizzata rimane nel buffer. Per il driver Microsoft Access, il valore predefinito è 0,5 secondi e deve essere maggiore di 0. Questa opzione si applica a tutte le origini dati che utilizzano il driver Microsoft Access.

ReadOnly

Definisce il database come di sola lettura per impedire aggiornamenti dello stesso.

SafeTransactions

Se impostato sul valore predefinito 0, viene eseguito immediatamente il commit di tutte le transazioni. Se impostato su 1, tutte le transazioni vengono salvate su disco solo in seguito a un'operazione di commit, ma il livello delle prestazioni peggiora leggermente.

Thread

Numero di thread utilizzati in background dal motore. Il valore predefinito è 3. Se il database è sottoposto a un numero elevato di attività, è possibile aumentare il numero dei thread.

UserCommitSync

Specifica se il driver Microsoft Access eseguirà in modo asincrono transazioni esplicite definite dall'utente. L'impostazione predefinita è "Sì" per indicare che il driver Microsoft Access attenderà il completamento dei commit in una transazione definita dall'utente.

L'impostazione di questo valore su "No" può determinare conseguenze transazionali imprevedibili in un ambiente multiutente.


Copyright e informazioni legali

Le informazioni contenute nel presente documento, inclusi URL e altri riferimenti a siti Web, sono soggette a modifiche senza preavviso. Se non specificato diversamente, ogni riferimento a società, organizzazioni, prodotti, nomi di dominio, indirizzi di posta elettronica, logo, persone, luoghi ed eventi utilizzati negli esempi è puramente casuale e ha il solo scopo di illustrare l'uso del prodotto Microsoft. Nessuna associazione con nessuna società, organizzazione, prodotto, nome di dominio, indirizzo di posta elettronica, logo, persona, luogo o evento è intenzionale o può essere presupposta. Il rispetto di tutte le leggi applicabili in materia di copyright è esclusivamente a carico dell'utente. Fermi restando tutti i diritti coperti da copyright, nessuna parte del presente documento potrà comunque essere riprodotta, archiviata o inserita in un sistema di riproduzione o trasmessa in qualsiasi forma e con qualsiasi mezzo (in formato elettronico, meccanico, fotocopia, tramite registrazione o altro) per qualsiasi scopo, senza il permesso scritto di Microsoft Corporation.

Microsoft può essere titolare di brevetti, domande di brevetto, marchi, copyright o altri diritti di proprietà intellettuale relativi all'oggetto del presente documento. Salvo quanto espressamente previsto in un contratto scritto di licenza Microsoft, la consegna del presente documento non implica la concessione di alcuna licenza su tali brevetti, marchi, copyright o altra proprietà intellettuale.

© 2009 Microsoft Corporation. Tutti i diritti riservati.

Microsoft, Active Directory, ActiveX, JScript, Microsoft Press, MSDN, MS-DOS, Outlook, PivotChart, PivotTable, PowerPoint, SQL Server, Visual Basic, Visual C++, Visual Studio, Win32, Windows e Windows NT sono marchi di Microsoft Corporation.

Altri nomi di prodotti e società citati nel presente documento possono essere marchi dei rispettivi proprietari.


.topic 2
Chiude questa finestra di dialogo senza salvare le modifiche.

.topic 3
Identifica il nome dell'origine dati, ad esempio Payroll o Personnel. Se viene utilizzato il driver Microsoft Excel 3.0 o 4.0, specifica la directory dei dati predefinita in cui il driver ODBC cerca i file di dati. Se si utilizza Microsoft Excel 5.0, 7.0 o 97, specifica la cartella di lavoro dati predefinita in cui il driver ODBC cerca i file di dati.

.topic 4
Descrizione facoltativa dei dati nell'origine dati, ad esempio "Data assunzione, cronologia stipendi e situazione corrente dei dipendenti".

.topic 5
Visualizza la Guida per questa finestra di dialogo.

.topic 6
Chiude la finestra di dialogo Configurazione e salva le modifiche.

.topic 7
Selezionare questa opzione per impostare la modalità sola lettura per il database in modo da impedirne gli aggiornamenti.

.topic 8
Numero di righe da esaminare per determinare il tipo di dati di ciascuna colonna. Per il driver Microsoft Excel, può essere qualsiasi numero compreso tra 1 e 16. Il valore predefinito è 8; se impostato su 0, vengono esaminate tutte le righe.

.topic 9
Fare clic per aprire la finestra di dialogo Selezione directory, in cui è possibile selezionare una directory contenente i file a cui si desidera accedere. Quando si definisce una directory di origine dati, specificare la directory contenente i file Excel utilizzati più di frequente per Microsoft Excel 3.0 o 4.0.

.topic 10
Fare clic per aprire la finestra di dialogo Selezione cartella di lavoro, in cui è possibile selezionare una cartella di lavoro a cui si desidera accedere.

.topic 11
Selezionare questa opzione per rendere la directory di lavoro corrente dell'applicazione la directory di origine dati. Se deselezionata, è possibile selezionare la directory di origine dati facendo clic sul pulsante Selezione directory. Disabilitata per Microsoft Excel 5.0, 7.0 e 97.

.topic 12
Specifica la versione di Excel dei file utilizzata.

.topic 13
Utilizzare queste opzioni per modificare il percorso e la versione dei file di Excel.

.topic 14
Utilizzare queste opzioni per configurare gli attributi specifici del driver.

.topic 15
Fare clic per configurare gli attributi specifici del driver.

.topic 16
Percorso della directory di Excel selezionata.

.topic 17
Percorso della cartella di lavoro di Excel selezionata.

.topic 201
Fare clic per aggiungere un'estensione digitata nella casella Estensione.

.topic 202
Chiude questa finestra di dialogo senza salvare le modifiche.

.topic 203
Identifica il nome dell'origine dati, ad esempio Payroll o Personnel, e specifica la directory dei dati predefinita in cui il driver ODBC cerca i file di dati.

.topic 204
Se selezionata, è possibile utilizzare tutti i file della directory. Se deselezionata, nell'Elenco estensioni vengono visualizzate le estensioni predefinite asc, csv, tab e txt e, se si desidera, è possibile aggiungere o eliminare estensioni specifiche.

.topic 205
Fare clic per aprire la finestra di dialogo Definisci formato testo, in cui è possibile definire il formato delle colonne e specificare lo schema delle tabelle nella directory di origine dati.

.topic 206
Descrizione facoltativa dei dati nell'origine dati, ad esempio "Data assunzione, cronologia stipendi e situazione corrente dei dipendenti".

.topic 207
Immettere l'estensione del file che si desidera aggiungere utilizzando il formato *.xxx. Per utilizzare, ad esempio, file con estensione dat, digitare *.dat.

.topic 208
Elenca le estensioni dei file di testo nell'origine dati in base allo stato selezionato o deselezionato della casella di controllo Predefinita.

.topic 214
Utilizzare queste opzioni per formattare tipi di file specifici.

.topic 215
Utilizzare queste opzioni per aggiungere o rimuovere estensioni di file non predefinite dall'Elenco estensioni. Per aggiungere un'estensione di file, deselezionare la casella di controllo Predefinita, digitare la nuova estensione nella casella Estensione e fare clic su Aggiungi.

.topic 216
Utilizzare queste opzioni per selezionare il percorso del file di testo e visualizzare il nome del file.

.topic 209
Visualizza la Guida per questa finestra di dialogo.

.topic 210
Chiude la finestra di dialogo Configurazione e salva le modifiche.

.topic 211
Fare clic per rimuovere un'estensione di file selezionata dall'Elenco estensioni.

.topic 212
Fare clic per aprire la finestra di dialogo Selezione directory, in cui è possibile selezionare una directory contenente i file a cui si desidera accedere.

.topic 213
Selezionare questa opzione per rendere la directory di lavoro corrente dell'applicazione la directory di origine dati. Se deselezionata, è possibile selezionare la directory di origine dati facendo clic su Selezione directory.

.topic 217
Fare clic per configurare gli attributi dei file di testo e per aggiungere o rimuovere i tipi di file di testo.

.topic 218
Identifica il percorso del file di testo.

.topic 301
Fare clic per aggiungere una colonna utilizzando i valori contenuti nei campi Tipo dati, Nome e Larghezza.

.topic 302
Chiude questa finestra di dialogo senza salvare le modifiche.

.topic 321
Specifica un set di caratteri come ANSI o OEM.

.topic 303
Specifica un set di caratteri come ANSI per il formato dell'elemento selezionato nell'elenco Tabelle.

.topic 304
Specifica se utilizzare le colonne della prima riga della tabella selezionata come nomi di colonna (TRUE se selezionata, FALSE se deselezionata).

.topic 305
Elenca i nomi di ciascuna colonna inclusa nella tabella selezionata nell'elenco Tabelle e riflette l'ordine delle colonne nella tabella.

.topic 319
Consente di definire gli attributi di colonna per il file di testo selezionato.

.topic 306
Visualizza il tipo di dati. I valori possibili sono BIT, BYTE, CHAR, CURRENCY, DATE, FLOAT, INTEGER, LONGCHAR, SHORT o SINGLE.

.topic 307
Carattere del delimitatore personalizzato da utilizzare per separare le colonne. Deve essere costituito da un unico carattere e non è possibile utilizzare le virgolette doppie ("). Questa opzione viene abilitata quando nella casella di riepilogo Formato viene selezionato Personalizzato.

.topic 308
Delimitato o a lunghezza fissa. Se delimitato, indica il tipo di delimitatore utilizzato.

.topic 309
Genera i valori relativi a tipo di dati, nome e larghezza delle colonne nella tabella selezionata analizzando il contenuto della tabella in base alla selezione della casella di riepilogo Formato. Questa opzione viene abilitata quando il formato della tabella è delimitato.

.topic 310
Visualizza la Guida per questa finestra di dialogo.

.topic 311
Modifica la colonna selezionata utilizzando i valori contenuti nei campi Tipo dati, Nome e Larghezza.

.topic 312
Visualizza il nome della colonna selezionata. Può essere utilizzata per specificare un nuovo nome di colonna per una colonna esistente o una nuova colonna.

.topic 313
Chiude questa finestra di dialogo e salva le modifiche.

.topic 314
Elimina la colonna selezionata.

.topic 315
Numero di righe che il programma di installazione o il driver analizzeranno durante l'impostazione delle colonne e dei tipi di dati di colonna. Il valore predefinito è 25 se il formato dell'elemento selezionato nell'elenco Tabelle non è stato definito, ma può essere qualsiasi numero compreso tra 1 e 32767.

.topic 316
Elenca tutti i file che corrispondono all'elenco delle estensioni specificate nella finestra di dialogo Configurazione ODBC per formato testo. Selezionare un file per visualizzare o modificare i relativi attributi della tabella.

.topic 320
Utilizzare queste opzioni per definire gli attributi della tabella per un file di testo selezionato.

.topic 317
Larghezza della colonna. È possibile modificare il valore in caso di colonne CHAR o LONGCHAR. Per altri tipi di dati, il controllo Larghezza è disabilitato e non viene visualizzato alcun valore. Il valore predefinito è 1 se il formato dell'elemento selezionato nell'elenco Tabelle non è stato definito.

.topic 318
Specifica un set di caratteri non ANSI (valore predefinito) per il formato del file selezionato nell'elenco Tabelle.

.topic 401
Chiude questa finestra di dialogo senza salvare le modifiche.

.topic 402
Sequenza, ASCII (valore predefinito), Internazionale, Svedese/Finlandese o Norvegese/Danese, in cui vengono ordinati i campi.

.topic 403
Identifica il nome dell'origine dati, ad esempio Payroll o Personnel, e specifica la directory dei dati predefinita in cui il driver ODBC cerca i file di dati.

.topic 404
Descrizione facoltativa dei dati nell'origine dati, ad esempio "Data assunzione, cronologia stipendi e situazione corrente dei dipendenti".

.topic 405
Se selezionata, consente di aprire il database in modalità esclusiva in modo da limitare l'accesso a un solo utente per volta e migliorare le prestazioni. Se deselezionata, il database viene aperto in modalità condivisa ed è accessibile contemporaneamente da più utenti.

.topic 406
Visualizza la Guida per questa finestra di dialogo.

.topic 407
Specifica lo stile di accesso alla rete da utilizzare per l'accesso ai dati Paradox: "3.x" per Paradox 3.x o "4.x" per Paradox 4.x o 5.x. Può essere impostata su "3.x" o "4.x" per le versioni Paradox 4.x e 5.x. Per le versioni Paradox 3.x, lo stile deve essere impostato su "3.x".

.topic 408
Chiude la finestra di dialogo Configurazione e salva le modifiche.

.topic 409
Periodo di tempo, espresso in decimi di secondo, durante il quale una pagina inutilizzata rimane nel buffer. Il valore predefinito è 600 decimi o 60 secondi e deve essere maggiore di 0.

.topic 410
Fare clic per aprire la finestra di dialogo Selezione directory, in cui è possibile selezionare una directory contenente i file a cui si desidera accedere.

.topic 415
Identifica il percorso del file Paradox.

.topic 411
Prima di selezionare una directory di rete, è necessario immettere il nome utente Paradox nella casella di testo Nome utente, quindi fare clic su Selezione directory di rete per selezionare una directory di rete.

.topic 416
Percorso della directory contenente un database di blocco Paradox e il file Pdoxusrs.net (in Paradox 4.x) o il file Paradox.net (in Paradox 5.x). Se la directory non contiene uno di questi file, ne viene creato uno dal driver Paradox.

.topic 412
Selezionare questa opzione per rendere la directory di lavoro corrente dell'applicazione la directory di origine dati. Se deselezionata, è possibile selezionare la directory di origine dati facendo clic su Selezione directory.

.topic 413
Nome utente Paradox visualizzato dagli altri utenti di file Paradox quando viene rilevato un blocco.

.topic 414
Specifica la versione Paradox dei file utilizzati, ad esempio Paradox 4.x o Paradox 5.x.

.topic 417
Utilizzare queste opzioni per selezionare e visualizzare la versione e il percorso del database Paradox.

.topic 418
Utilizzare queste opzioni per configurare il driver Paradox.

.topic 419
Fare clic per configurare gli attributi specifici del driver.

.topic 501
Specifica se le statistiche sulle dimensioni della tabella vengono calcolate approssimativamente. Questa opzione si applica a tutte le origini dati che utilizzano il driver dBASE.

.topic 502
Chiude questa finestra di dialogo senza salvare le modifiche.

.topic 503
Sequenza, ASCII (valore predefinito) o Internazionale, in cui vengono ordinati i campi.

.topic 504
Identifica il nome dell'origine dati, ad esempio Payroll o Personnel, e specifica la directory dei dati predefinita in cui il driver ODBC cerca i file di dati.

.topic 505
Descrizione facoltativa dei dati nell'origine dati, ad esempio "Data assunzione, cronologia stipendi e situazione corrente dei dipendenti".

.topic 506
Se selezionata, consente di aprire il database in modalità esclusiva in modo da limitare l'accesso a un solo utente per volta e migliorare le prestazioni. Se deselezionata, il database viene aperto in modalità condivisa ed è accessibile contemporaneamente da più utenti.

.topic 507
Visualizza la Guida per questa finestra di dialogo.

.topic 508
Chiude la finestra di dialogo Configurazione e salva le modifiche.

.topic 509
Periodo di tempo, espresso in decimi di secondo, durante il quale una pagina inutilizzata rimane nel buffer. Il valore predefinito è 600 decimi o 60 secondi e deve essere sempre maggiore di 0.

.topic 515
Identifica il percorso del database dBASE.

.topic 510
Fare clic per aprire la finestra di dialogo Selezione directory, in cui è possibile selezionare una directory contenente i file a cui si desidera accedere.

.topic 511
Fare clic per aprire la finestra di dialogo Selezione indici, in cui è possibile associare i file dBASE ai file di indice.

.topic 512
Specifica se è possibile recuperare o posizionare il cursore sulle righe contrassegnate come eliminate. Se deselezionata (valore predefinito), le righe eliminate non vengono visualizzate. Se selezionata, le righe eliminate vengono considerate esattamente come le righe non eliminate.

.topic 513
Selezionare questa opzione per rendere la directory di lavoro corrente dell'applicazione la directory di origine dati. Se deselezionata, è possibile selezionare la directory di origine dati facendo clic su Selezione directory.

.topic 514
Specifica la versione dei file dBASE utilizzati, ad esempio dBASE III, dBASE IV o dBASE 5.0.

.topic 516
Utilizzare queste opzioni per selezionare e visualizzare la versione e il percorso del database dBASE.

.topic 517
Utilizzare queste opzioni per configurare il driver dBASE.

.topic 518
Fare clic per configurare gli attributi specifici del driver.

.topic 701
Fare clic per impostare le opzioni avanzate del driver per modificare le prestazioni.

.topic 702
Dimensione del buffer interno, espressa in kilobyte, utilizzata da Microsoft Access per trasferire dati da e verso il disco. Il valore predefinito è 2048 KB (visualizzato come 2048). Immettere qualsiasi valore integer divisibile per 256.

.topic 703
Chiude questa finestra di dialogo senza salvare le modifiche.

.topic 704
Fare clic per creare un database Access.

.topic 705
Fare clic per ridurre lo spazio inutilizzato in un database Access esistente.

.topic 706
Identifica il nome dell'origine dati, ad esempio Payroll o Personnel, e specifica la directory dei dati predefinita in cui il driver ODBC cerca i file di dati.

.topic 707
Percorso del database Access attualmente selezionato. Per selezionare un database, fare clic su Seleziona.

.topic 708
Descrizione facoltativa dei dati nell'origine dati, ad esempio "Data assunzione, cronologia stipendi e situazione corrente dei dipendenti".

.topic 709
Se selezionata, consente di aprire il database in modalità esclusiva in modo da limitare l'accesso a un solo utente per volta e migliorare le prestazioni. Se deselezionata, il database viene aperto in modalità condivisa ed è accessibile contemporaneamente da più utenti.

.topic 710
Visualizza la Guida per questa finestra di dialogo.

.topic 711
Se non viene utilizzato un database di sistema, selezionare questa opzione per accedere come utente Admin (DefaultUser) per un database Access specifico.

.topic 712
Chiude la finestra di dialogo Configurazione e salva le modifiche.

.topic 713
Periodo di tempo, espresso in decimi di secondo, durante il quale una pagina inutilizzata rimane nel buffer. Il valore predefinito è 0,5 secondi e deve essere sempre maggiore di 0.

.topic 714
Selezionare questa opzione per impostare la modalità sola lettura per il database in modo da impedirne gli aggiornamenti.

.topic 715
Fare clic per ripristinare un database Access danneggiato.

.topic 716
Fare clic per selezionare un database Access specifico.

.topic 723
Selezionare per utilizzare un database di sistema, quindi fare clic su Database di sistema.

.topic 717
Fare clic per aprire la finestra di dialogo Selezione database di sistema, in cui è possibile selezionare il database di sistema (gruppo di lavoro) che si desidera utilizzare.

.topic 718
Utilizzare queste opzioni per visualizzare il percorso del database Access ed eseguire le funzioni di manutenzione del database.

.topic 719
Utilizzare queste opzioni per selezionare un database di sistema (gruppo di lavoro) e visualizzare il relativo percorso.

.topic 720
Percorso del database Access attualmente selezionato.

.topic 721
Utilizzare queste opzioni per configurare il driver Access.

.topic 722
Fare clic per configurare gli attributi specifici del driver.